Bug 29429 - fatal error communicating with server
fatal error communicating with server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-25 15:16 EST by Chris Ricker
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-25 15:16:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
up2date (2.12 KB, text/plain)
2001-03-18 12:20 EST, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2001-02-25 15:16:20 EST
On a fresh install of Wolverine, I'm also getting the infamous "Invalid
Architecture and OS release combination" error.  As far as I can tell,
everything is accurate:

[root@localhost /root]# cat /etc/redhat-release 
Red Hat Linux release 7.0.91 (Wolverine)
[root@localhost /root]#

[root@localhost /root]# cat /etc/sysconfig/rhn/systemid 
<?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>type</name>
<value><string>ANONYMOUS</string></value>
</member>
<member>
<name>checksum</name>
<value><string>e46a14c411d9074a0ce559f5d087d0ef</string></value>
</member>
<member>
<name>description</name>
<value><string>Anonymous SERVER running 7.0.91 on a i686</string></value>
</member>
<member>
<name>os_release</name>
<value><string>7.0.91</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ANONYMOUS-SERVER</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>Red Hat Linux</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>A beta Anon Server</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>profile_name</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>username</name>
<value><string>anonymous</string></value>
</member>
</struct></value>
</param>
</params>
[root@localhost /root]#
Comment 1 Jay Turner 2001-02-25 17:25:48 EST
We do not have the packages for the beta on the up2date servers, so you really
are presenting yourself with an invalid release, hence the error.  Once we
release the next release, then those packages will be uploaded to the up2date
servers and you will be able to run up2date.
Comment 2 Adrian Likins 2001-03-16 12:07:05 EST
yes, this is a  bug in the client code. It reads the
wrong config file, and points at the wrong server, and returns the
"invalid OS and arch combo"


    cp /etc/sysconfig/rhn/up2date /etc/sysconfig/rhn/rhn
    up2date -r
    up2date 

Been fixed internally for a while.

If you could send me a copy of your /etc/sysconfig/rhn/up2date and
/etc/sysconfig/rhn/rhn files, I'd like to take a look and verify this
is indeed the same issue.
Comment 3 Chris Ricker 2001-03-18 12:20:00 EST
Created attachment 12904 [details]
up2date
Comment 4 Chris Ricker 2001-03-18 12:21:59 EST
I just attached the up2date from this system.  I don't even have an
/etc/sysconfig/rhn/rhn file though.

It's running qa0309 now + up2date*2.4.4-1
Comment 5 Chris Ricker 2001-03-18 12:24:28 EST
After following your suggestion and copying up2date to rhn and re-doing up2date
-r, I still get "Invalid server or OS combination."  Is this a bug, or is
up2date just not supposed to work on qa0309?

Note You need to log in before you can comment on or make changes to this bug.